using HRD.WebApi.DAL;
using System.ComponentModel.DataAnnotations.Schema;

namespace DAL.Models.Entities
{
    public partial class WindreamSearchItemToWindreamSearchToDepartment : BaseEntity
    {
        public int WindreamSearchItemToWindreamSearchToDepartmentId { get; set; }
        public int WindreamSearchToDepartmentId { get; set; }
        public int Seq { get; set; }
        public int WindreamSearchItemId { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public int DepartmentId { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemCaption { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemPlaceHolder { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemSearchTemplate { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemTemplate { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemConnectedList { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchItemComment { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public int? WindreamSearchIndexType { get; set; }

        //generic Id
        public override int GetEntityId() => WindreamSearchItemToWindreamSearchToDepartmentId;

        //generic ToString()
        public override string ToString() => $"WindreamSearchItemToWindreamSearchToDepartmentId: {GetEntityId()}; WindreamSearchToDepartmentId: {WindreamSearchToDepartmentId}; WindreamSearchItemName: {WindreamSearchItemName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}